zenilib: zenilib/jni/external/freetype2/src/otvalid/otvgpos.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
otvgpos.c File Reference
`#include "otvalid.h"`
`#include "otvcommn.h"`
`#include "otvgpos.h"`

Go to the source code of this file.

## Macros

#define | BaseArrayFunc otv_x_sxy
#define | FT_COMPONENT trace_otvgpos
#define | LigatureAttachFunc otv_x_sxy
#define | Mark2ArrayFunc otv_x_sxy
#define | MarkBasePosFormat1Func otv_u_O_O_u_O_O
#define | MarkLigPosFormat1Func otv_u_O_O_u_O_O
#define | MarkMarkPosFormat1Func otv_u_O_O_u_O_O

## Functions

static void | otv_Anchor_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_ChainContextPos_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_ContextPos_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_CursivePos_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_ExtensionPos_validate (FT_Bytes table, OTV_Validator valid)
| otv_GPOS_subtable_validate (FT_Bytes table, OTV_Validator valid)
| otv_GPOS_validate (FT_Bytes table, FT_UInt glyph_count, FT_Validator ftvalid)
static void | otv_MarkArray_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_MarkBasePos_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_MarkLigPos_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_MarkMarkPos_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_PairPos_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_PairSet_validate (FT_Bytes table, FT_UInt format1, FT_UInt format2, OTV_Validator valid)
static void | otv_SinglePos_validate (FT_Bytes table, OTV_Validator valid)
static void | otv_u_O_O_u_O_O (FT_Bytes table, OTV_Validator valid)
static FT_UInt | otv_value_length (FT_UInt format)
static void | otv_ValueRecord_validate (FT_Bytes table, FT_UInt format, OTV_Validator valid)
static void | otv_x_sxy (FT_Bytes table, OTV_Validator valid)

## Variables

static const OTV_Validate_Func | otv_gpos_validate_funcs [9]

## Macro Definition Documentation

#define BaseArrayFunc otv_x_sxy

Definition at line 51 of file otvgpos.c.

#define FT_COMPONENT trace_otvgpos

Definition at line 31 of file otvgpos.c.

#define LigatureAttachFunc otv_x_sxy

Definition at line 52 of file otvgpos.c.

#define Mark2ArrayFunc otv_x_sxy

Definition at line 53 of file otvgpos.c.

#define MarkBasePosFormat1Func otv_u_O_O_u_O_O

Definition at line 100 of file otvgpos.c.

#define MarkLigPosFormat1Func otv_u_O_O_u_O_O

Definition at line 101 of file otvgpos.c.

#define MarkMarkPosFormat1Func otv_u_O_O_u_O_O

Definition at line 102 of file otvgpos.c.

## Function Documentation

static void otv_Anchor_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 247 of file otvgpos.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, otv_Device_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, OTV_SIZE_CHECK, and OTV_TRACE.

Referenced by otv_CursivePos_validate(), otv_MarkArray_validate(), and otv_x_sxy().

static void otv_ChainContextPos_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 835 of file otvgpos.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_NEST1, OTV_NEST3, OTV_RUN, and OTV_TRACE.

static void otv_ContextPos_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 776 of file otvgpos.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_NEST1, OTV_NEST3, OTV_RUN, and OTV_TRACE.

static void otv_CursivePos_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 577 of file otvgpos.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, otv_Anchor_validate(), otv_Coverage_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, OTV_SIZE_CHECK, and OTV_TRACE.

static void otv_ExtensionPos_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 896 of file otvgpos.c.

References FT_INVALID_DATA, FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, and OTV_TRACE.

otv_GPOS_subtable_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

Definition at line 957 of file otvgpos.c.

References otv_gpos_validate_funcs, and otv_Lookup_validate().

otv_GPOS_validate | ( | FT_Bytes | table,
|  | FT_UInt | glyph_count,
|  | FT_Validator | ftvalid
| ) |  |

Definition at line 978 of file otvgpos.c.

References FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, otv_FeatureList_validate(), otv_gpos_validate_funcs, OTV_INIT, OTV_LIMIT_CHECK, otv_LookupList_validate(), and otv_ScriptList_validate().

Referenced by otv_validate().

static void otv_MarkArray_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 313 of file otvgpos.c.

References FT_NEXT_USHORT, otv_Anchor_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, and OTV_TRACE.

Referenced by otv_u_O_O_u_O_O().

static void otv_MarkBasePos_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 653 of file otvgpos.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_NEST2, OTV_RUN, and OTV_TRACE.

static void otv_MarkLigPos_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 694 of file otvgpos.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_NEST3, OTV_RUN, and OTV_TRACE.

static void otv_MarkMarkPos_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 735 of file otvgpos.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_NEST2, OTV_RUN, and OTV_TRACE.

static void otv_PairPos_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 470 of file otvgpos.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, otv_ClassDef_validate(), otv_Coverage_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, otv_PairSet_validate(), OTV_TRACE, otv_value_length(), and otv_ValueRecord_validate().

static void otv_PairSet_validate | ( | FT_Bytes | table,
|  | FT_UInt | format1,
|  | FT_UInt | format2,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 428 of file otvgpos.c.

References FT_NEXT_USHORT, OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_TRACE, otv_value_length(), and otv_ValueRecord_validate().

Referenced by otv_PairPos_validate().

static void otv_SinglePos_validate | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 352 of file otvgpos.c.

References FT_INVALID_FORMAT, FT_NEXT_USHORT, otv_Coverage_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_TRACE, otv_value_length(), and otv_ValueRecord_validate().

static void otv_u_O_O_u_O_O | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 107 of file otvgpos.c.

References FT_NEXT_USHORT, otv_Coverage_validate(), OTV_ENTER, OTV_EXIT, OTV_LIMIT_CHECK, and otv_MarkArray_validate().

static FT_UInt otv_value_length | ( | FT_UInt | format | ) |

static

Definition at line 153 of file otvgpos.c.

Referenced by otv_PairPos_validate(), otv_PairSet_validate(), and otv_SinglePos_validate().

static void otv_ValueRecord_validate | ( | FT_Bytes | table,
|  | FT_UInt | format,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 169 of file otvgpos.c.

References FT_INVALID_FORMAT, otv_Device_validate(), OTV_EXIT, OTV_LIMIT_CHECK, OTV_NAME_ENTER, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, OTV_SIZE_CHECK, and OTV_TRACE.

Referenced by otv_PairPos_validate(), otv_PairSet_validate(), and otv_SinglePos_validate().

static void otv_x_sxy | ( | FT_Bytes | table,
|  | OTV_Validator | valid
| ) |  |

static

Definition at line 59 of file otvgpos.c.

References FT_NEXT_USHORT, otv_Anchor_validate(), OTV_ENTER, OTV_EXIT, OTV_LIMIT_CHECK, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, OTV_SIZE_CHECK, and OTV_TRACE.

## Variable Documentation

const OTV_Validate_Func otv_gpos_validate_funcs[9]

static

Initial value:
=
{
otv_SinglePos_validate,
otv_PairPos_validate,
otv_CursivePos_validate,
otv_MarkBasePos_validate,
otv_MarkLigPos_validate,
otv_MarkMarkPos_validate,
otv_ContextPos_validate,
otv_ChainContextPos_validate,
otv_ExtensionPos_validate
}
otv_ExtensionPos_validate
static void otv_ExtensionPos_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgpos.c:896
otv_MarkMarkPos_validate
static void otv_MarkMarkPos_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgpos.c:735
otv_MarkBasePos_validate
static void otv_MarkBasePos_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgpos.c:653
otv_SinglePos_validate
static void otv_SinglePos_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgpos.c:352
otv_ChainContextPos_validate
static void otv_ChainContextPos_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgpos.c:835
otv_PairPos_validate
static void otv_PairPos_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgpos.c:470
otv_CursivePos_validate
static void otv_CursivePos_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgpos.c:577
otv_MarkLigPos_validate
static void otv_MarkLigPos_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgpos.c:694
otv_ContextPos_validate
static void otv_ContextPos_validate(FT_Bytes table, OTV_Validator valid)
Definition: otvgpos.c:776

Definition at line 939 of file otvgpos.c.

Referenced by otv_GPOS_subtable_validate(), and otv_GPOS_validate().